
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_NODELOG') 
 CREATE TABLE T_KEM_NODELOG (
FNODELOGID BIGINT DEFAULT 0 NOT NULL,
FCREATORNAME NVARCHAR(20) DEFAULT ' ' NOT NULL,
FOPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FNODETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FLOGID BIGINT DEFAULT 0 NOT NULL,
FRETRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FERRORCODE VARCHAR(40) DEFAULT ' ' NOT NULL,
FNODEID BIGINT DEFAULT 0 NOT NULL,
FHOSTIP VARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB,
FINPUT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINPUT_TAG NCLOB,
FOUTPUT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTPUT_TAG NCLOB,
FRETRYTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_LOG') 
 CREATE TABLE T_KEM_LOG (
FLOGID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCOST BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSUBID BIGINT DEFAULT 0 NOT NULL,
FEVENTSOURCEID BIGINT DEFAULT 0 NOT NULL,
FEVENTID BIGINT DEFAULT 0 NOT NULL,
FMSGID BIGINT DEFAULT 0 NOT NULL,
FEVENTBUSID BIGINT DEFAULT 0 NOT NULL,
FACTIONNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FEVENTSOURCENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVENTNAME NVARCHAR(40) DEFAULT ' ' NOT NULL,
FEVENTCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBNUMBER VARCHAR(40) DEFAULT ' ' NOT NULL,
FSUBNAME NVARCHAR(40) DEFAULT ' ' NOT NULL
);

