IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENT' AND KSQL_COL_NAME ='FBIZOBJECTID') 
 ALTER TABLE T_KEM_EVENT ADD (FBIZOBJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENT' AND KSQL_COL_NAME ='FEVENTUUID') 
 ALTER TABLE T_KEM_EVENT ADD (FEVENTUUID VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKURL') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKURL VARCHAR(400) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FEVENTUUIDEXPR') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FEVENTUUIDEXPR VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FEVENTDATAEXPR') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FEVENTDATAEXPR VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKRETURNEXPR') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKRETURNEXPR VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKHTTPCODE') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKHTTPCODE VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKSIGN') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKSIGN VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKSECRET') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKSECRET VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKINSCRIPT') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKINSCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKINSCRIPT_TAG') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKINSCRIPT_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKOUTSCRIPT') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKOUTSCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKOUTSCRIPT_TAG') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKOUTSCRIPT_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_KEM_EVENTSOURCE' AND KSQL_COL_NAME ='FWEBHOOKLIMIT') 
 ALTER TABLE T_KEM_EVENTSOURCE ADD (FWEBHOOKLIMIT INT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_KEM_SUB', 'FNUMBER', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_OPENEVENTSUB') 
 CREATE TABLE T_KEM_OPENEVENTSUB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(20) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(40) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FWEBHOOKURL VARCHAR(400) DEFAULT ' ' NOT NULL,
FWEBHOOKNAME NVARCHAR(20) DEFAULT ' ' NOT NULL,
FFAILOVERTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_OPENEVENTSUBDETL') 
 CREATE TABLE T_KEM_OPENEVENTSUBDETL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVENTID BIGINT DEFAULT 0 NOT NULL,
FEVENTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBID BIGINT DEFAULT 0 NOT NULL
);
